AC_INIT(src/kernel.cpp)
AM_CONFIG_HEADER(src/conf.h)
AM_INIT_AUTOMAKE(Kernel,1.0)

AC_PROG_MAKE_SET
AC_SUBST(LIBTOOL_DEPS)
AC_PROG_CXX
AC_PROG_CC
AC_PROG_CPP

AC_LIBTOOL_WIN32_DLL
AC_PROG_LIBTOOL
AC_PREP_CC_SOLARIS

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_C_INLINE
AM_SYS_POSIX_TERMIOS

AC_MSG_CHECKING([if we can use sched_yield])

AC_TRY_LINK([
#include <sched.h>
],
[sched_yield();],
[ac_have_sched=yes],
[ac_have_sched=no])

if test "$ac_have_sched" = "yes"; then
  AC_DEFINE([HAVE_SCHED_YIELD],[1],[defined if the sched_yield() function is present on this system])
  AC_MSG_RESULT([yes])
else
  AC_MSG_RESULT([no])
fi

AC_CHECK_LIB(pthread,pthread_create)

AC_PROG_DVI2PDF

AC_JNI_HEADER

AC_OUTPUT([
	Makefile
	docs/Makefile
	docs2/Makefile
	java/Makefile
	src/Makefile
	src/kernel/Makefile
	src/proc/Makefile
	src/test/Makefile
	src/sync/Makefile
	src/driver/Makefile
	src/driver/timer/Makefile
	src/driver/rs232/Makefile
	src/protocol/Makefile
	src/protocol/g1.net/Makefile
	src/protocol/net/Makefile
	src/utility/Makefile
	src/funcs/Makefile
])
